- name: image
  type: string
  meta:
      label: Kartenausschnitt
      helperText: "Der Kartenausschnitt wird als Hintergrundbild angezeigt."
      widget: foreignKey # Verwendetes Widget.
      foreign:
          collection: medialib # Name der Sammlung, in der die ausgewählten Daten gespeichert sind.
          id: id # Feldname, das als eindeutige Kennung für die ausgewählten Daten verwendet wird.
          subNavigation: 0 # Bestimmt, welche Navigation für die Auswahl der ausgewählten Daten angezeigt wird.
          render:
              defaultCollectionViews: true

- name: title
  type: string
  meta:
      label: Dieser Titel wird in der Karte angezeigt (Name des Landes).

- name: verticalAlignment
  type: string
  meta:
      label: Vertikale Ausrichtung
      widget: select
      choices:
          - name: Oben
            id: flex-start
          - name: Mitte
            id: center
          - name: Unten
            id: flex-end

- name: horizontalAlignment
  type: string
  meta:
      label: Horizontale Ausrichtung
      widget: select
      choices:
          - name: Links
            id: flex-start
          - name: Mitte
            id: center
          - name: Rechts
            id: flex-end

- name: properties
  type: number[]
  meta:
      label: Eigenschaften
      widget: select
      choices:
          - name: Aktien
            id: 0
          - name: Private Equity
            id: 1
          - name: Infrastruktur
            id: 2
          - name: Waldwirtschaft
            id: 3
          - name: Immobilienentwicklung
            id: 4
          - name: Renten
            id: 5
          - name: Venture Capital
            id: 6
          - name: Private Debt
            id: 7
          - name: Landwirtschaft
            id: 8
          - name: Immobilienbestand
            id: 9

- name: verticalShift
  type: number
  meta:
      label: Vertikale Verschiebung
      helperText: "Die Karte wird um die angegebene Anzahl in Prozent nach oben verschoben."

- name: horizontalShift
  type: number
  meta:
      label: Horizontale Verschiebung
      helperText: "Die Karte wird um die angegebene Anzahl in Prozent nach rechts verschoben."
